# octavia.volume package

## Subpackages

- octavia.volume.drivers package
  - Subpackages
    - octavia.volume.drivers.noop_driver package
      - Submodules
      - octavia.volume.drivers.noop_driver.driver module
      - Module contents
  - Submodules
  - octavia.volume.drivers.cinder_driver module
    - `VolumeManager`
      - `VolumeManager.create_volume_from_image()`
      - `VolumeManager.delete_volume()`
      - `VolumeManager.get_image_from_volume()`
  - Module contents

## Submodules

## octavia.volume.volume_base module

class VolumeBase

  Bases: `object`

  abstract create_volume_from_image(image_id)

    Create volume for instance

    Parameters:

      image_id – ID of amphora image

    :return volume id

  abstract delete_volume(volume_id)

    Delete volume

    Parameters:

      volume_id – ID of amphora volume

  abstract get_image_from_volume(volume_id)

    Get cinder volume

    Parameters:

      volume_id – ID of amphora volume

    :return image id

## Module contents

this page last updated: 2026-04-02 20:14:22

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug